Solved

AWS Object Lock issue


Userlevel 1
Badge +8

Hey all -

I have created a bucket with OL enabled, created a new library, storage pool, secondary policies and ran the Enable WORM Storage workflow.  Everything went great but now as I’m starting my Aux Copy, I’m getting this error:

12504 1938  05/12 12:07:09 4148  [DEVICE_IO] CVRFAMZS3::SendRequest() - Error:  Message: Content-MD5 OR x-amz-checksum- HTTP header is required for Put Object requests with Object Lock parameters
12504 1938  05/12 12:07:09 4148  [DEVICE_IO]  Message: Content-MD5 OR x-amz-checksum- HTTP header is required for Put Object requests with Object Lock parameters

I’m not sure how to fix this issue.  Anyone have ideas?

icon

Best answer by Mike Struening 12 May 2022, 22:22

View original

6 replies

Userlevel 7
Badge +23

@Melissa Adams , thanks for the post!

This is a known issue with sending data to AWS Object Lock. There was a change on the AWS side where we need to set apply the following setting to accommodate a change in AWS API messaging. 

 

Apply the following Additional Setting to the MediaAgent(s) writing to the cloud library:
Name: nCloudForceMD5
Category: MediaAgent
Type: INTEGER

Value: 1

 

There will be a permanent fix in a future TBD hotfix, but this additional setting should resolve this issue for you for now. 

Userlevel 1
Badge +8

@Mike Struening  THANK YOU!!! Aux is now working!

Userlevel 7
Badge +23

Thank @Matt Medvedeff , it was his answer I stole….errr, borrowed! 🤣

Userlevel 6
Badge +14

Might be handy to for others to know which versions will deliver a permanent fix without the need for having this key to be in place. 

Userlevel 7
Badge +23

@Onno van den Berg , let me find out if that has been confirmed yet.  I saw it was to be addressed,  but wasn’t able to find the ‘when’.

Userlevel 2
Badge +6

Hello @Onno van den Berg @Melissa Adams 

The hotfix for this issue was released recently with the latest Maintenance Release available for Auto-download from the Commcell Console for SPs 20-26.

So just make sure the most recent maintenance pack is installed on the CS and MA’s associated with the Cloud library and you should be good to go without the additional setting.

Reply